<?php
if(is_file(H."sys/comm/obmen/screens/128/$file_id[id].gif")){

if(isset($user) && $user['set_show_icon']==1){
	echo '<img src="/sys/comm/obmen/screens/128/'.$file_id['id'].'.gif" alt="scr..."/><br/>';
	}

}else if(class_exists('ffmpeg_movie')){
	$media = new ffmpeg_movie($file);
	$k_frame=intval($media->getFrameCount());
	$w = $media->GetFrameWidth();
	$h = $media->GetFrameHeight();
	$ff_frame = $media->getFrame(intval($k_frame/2));

if($ff_frame){
	$gd_image = $ff_frame->toGDImage();

if($gd_image){
	$des_img = imagecreatetruecolor(128, 128);
	$s_img = $gd_image;
	imagecopyresampled($des_img, $s_img, 0, 0, 0, 0, 128, 128, $w, $h);
	$des_img=img_copyright($des_img);
	imagegif($des_img,H."sys/comm/obmen/screens/128/$file_id[id].gif");
	chmod(H."sys/comm/obmen/screens/128/$file_id[id].gif", 0777);
	imagedestroy($des_img);
	imagedestroy($s_img);

if(isset($user) && $user['set_show_icon']==1){

if(function_exists('iconv')){
	echo '<img src="'.iconv('windows-1251', 'utf-8',"/sys/comm/obmen/screens/128/$file_id[id].gif").'" alt="scr..."/><br/>';
	}else{
		echo '<img src="/sys/comm/obmen/screens/128/'.$file_id['id'].'.gif" alt="scr..."/><br/>';
		}
		}
		}
		}
		}

if($file_id['opis']!=NULL){
	echo '<b>Описание</b>: '.trim(br(links($file_id['opis']))).'<br/>';
	}

if(class_exists('ffmpeg_movie')){
	$media = new ffmpeg_movie($file);
	echo '<b>Разрешение</b>: '. $media->GetFrameWidth().'x'.$media->GetFrameHeight().'пикс<br/>';
	echo '<b>Частота кадров</b>: '.$media->getFrameRate().'<br/>';
	echo '<b>Кодек (видео)</b>: '.$media->getVideoCodec().'<br/>';

if(intval($media->getDuration())>3599){
	echo '<b>Время</b>: '.intval($media->getDuration()/3600).':'.date('s',fmod($media->getDuration()/60,60)).':'.date('s',fmod($media->getDuration(),3600)).'<br/>';
	}else if(intval($media->getDuration())>59){
		echo '<b>Время</b>: '.intval($media->getDuration()/60).':'.date('s',fmod($media->getDuration(),60)).'<br/>';
		}else{
			echo '<b>Время</b>: '.intval($media->getDuration()).' сек<br/>';
			}

echo '<b>Битрейт</b>: '.ceil(($media->getBitRate())/1024).' KBPS<br/>';
}

echo '<b>Добавлен</b>: '.vremja($file_id['time']).'<br/>';
echo '<b>Размер</b>: '.size_file($size).'<br/>';
?>